//
//  PMPhoto.h
//  GalerkApp
//
//  Copyright (c) 2012 Passionmakes.us. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PMPhotoProtocol.h"
#import "SDWebImageDecoder.h"
#import "SDWebImageManager.h"

// conforms to PMPhotoProtocol
@interface PMPhoto : NSObject <PMPhoto, SDWebImageManagerDelegate, SDWebImageDecoderDelegate>

// Properties
@property (nonatomic, strong) NSString *caption;

// Class
+ (PMPhoto *)photoWithImage:(UIImage *)image;
+ (PMPhoto *)photoWithFilePath:(NSString *)path;
+ (PMPhoto *)photoWithURL:(NSURL *)url;

// Init
- (id)initWithImage:(UIImage *)image;
- (id)initWithFilePath:(NSString *)path;
- (id)initWithURL:(NSURL *)url;

@end

