//
//  PMPhotoBrowser.h
//  GalerkApp
//
//  Copyright (c) 2012 Passionmakes.us. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MessageUI/MessageUI.h>
#import "PMPhoto.h"
#import "PMPhotoProtocol.h"
#import "PMCaptionView.h"

// Debug Logging
#if 0 // Set to 1 to enable debug logging
#define PMLog(x, ...) NSLog(x, ## __VA_ARGS__);
#else
#define PMLog(x, ...)
#endif

// Delegate
@class PMPhotoBrowser;
@protocol PMPhotoBrowserDelegate <NSObject>
- (NSUInteger)numberOfPhotosInPhotoBrowser:(PMPhotoBrowser *)photoBrowser;
- (id<PMPhoto>)photoBrowser:(PMPhotoBrowser *)photoBrowser photoAtIndex:(NSUInteger)index;
@optional
- (PMCaptionView *)photoBrowser:(PMPhotoBrowser *)photoBrowser captionViewForPhotoAtIndex:(NSUInteger)index;
@end

// PMPhotoBrowser
@interface PMPhotoBrowser : UIViewController <UIScrollViewDelegate>

// Init
- (id)initWithPhotos:(NSArray *)photosArray  __attribute__((deprecated)); // Deprecated
- (id)initWithDelegate:(id <PMPhotoBrowserDelegate>)delegate;

// Reloads the photo browser + refetch data
- (void)reloadData;

@end


