//
//  PMPhotoProtocol.h
//  GalerkApp
//
//  Copyright (c) 2012 Passionmakes.us. All rights reserved.
//

#import <Foundation/Foundation.h>

// Used to notify browser display the image
#define PMPHOTO_LOADING_DID_END_NOTIFICATION @"PMPHOTO_LOADING_DID_END_NOTIFICATION"


@protocol PMPhoto <NSObject>

@required


- (UIImage *)underlyingImage;


//
// [[NSNotificationCenter defaultCenter] postNotificationName:PMPHOTO_LOADING_DID_END_NOTIFICATION
//                                                     object:self];
//
- (void)loadUnderlyingImageAndNotify;

// This is called when the photo browser has determined the photo data
// is no longer needed
- (void)unloadUnderlyingImage;

@optional

// Return a caption string to be displayed over the image
// Return nil to display no caption
- (NSString *)caption; 

@end