//
//  PMTapDetectingImageView.h
//  GalerkApp
//
//  Copyright (c) 2012 Passionmakes.us. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol PMTapDetectingImageViewDelegate;

@interface PMTapDetectingImageView : UIImageView {
	id <PMTapDetectingImageViewDelegate> __unsafe_unretained tapDelegate;
}
@property (nonatomic, unsafe_unretained) id <PMTapDetectingImageViewDelegate> tapDelegate;
- (void)handleSingleTap:(UITouch *)touch;
- (void)handleDoubleTap:(UITouch *)touch;
- (void)handleTripleTap:(UITouch *)touch;
@end

@protocol PMTapDetectingImageViewDelegate <NSObject>
@optional
- (void)imageView:(UIImageView *)imageView singleTapDetected:(UITouch *)touch;
- (void)imageView:(UIImageView *)imageView doubleTapDetected:(UITouch *)touch;
- (void)imageView:(UIImageView *)imageView tripleTapDetected:(UITouch *)touch;
@end