//
//  ZoomingScrollView.h
//  GalerkApp
//
//  Copyright (c) 2012 Passionmakes.us. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "PMPhotoProtocol.h"
#import "PMTapDetectingImageView.h"
#import "PMTapDetectingView.h"

@class PMPhotoBrowser, PMPhoto, PMCaptionView;

@interface PMZoomingScrollView : UIScrollView <UIScrollViewDelegate, PMTapDetectingImageViewDelegate, PMTapDetectingViewDelegate> {
	
	PMPhotoBrowser *__weak _photoBrowser;
    id<PMPhoto> _photo;
	
    PMCaptionView *_captionView;
    
	PMTapDetectingView *_tapView; // for background taps
	PMTapDetectingImageView *_photoImageView;
	UIActivityIndicatorView *_spinner;
	
}

@property (nonatomic, strong) PMCaptionView *captionView;
@property (nonatomic, strong) id<PMPhoto> photo;

- (id)initWithPhotoBrowser:(PMPhotoBrowser *)browser;
- (void)displayImage;
- (void)displayImageFailure;
- (void)setMaxMinZoomScalesForCurrentBounds;
- (void)prepareForReuse;

@end
